Subject: bug#25408: Remove Decorations Around Emacs Frame (NS port)

From: Alan Third <[email-masked]>
Date: Wed, 19 Apr 2017 18:04:20 +0100

On Wed, Apr 19, 2017 at 06:01:52PM +0200, martin rudalics wrote:
> > It turns out that GNUStep doesn’t let you change the decorated state
> > of an existing window.
> 
> OK.  It's not important that the GNUStep build is capable of doing
> anything useful.  It should build and if possible not crash.  The only
> person currently using it (only for checking whether a change might
> break the NS build) is me, I presume.

I have had this suspicion. If I can get it working in GNUStep without
too much hassle it’s probably best, though.

> I just tried to type something and when I reached the
> right edge of the window I got an abort as
> 
> 2017-04-19 17:36:59.480 emacs[4423] Problem posting notification: <NSException: 0x4167070>
> NAME:NSInvalidArgumentException REASON:-[EmacsImage XBM:width:height:fg:bg:]: unrecognized selector sent to instance
> 0x3e0bf40 INFO:(null)
> /home/martin/emacs-git/trunk/obj-ns/src/emacs: Uncaught exception NSInvalidArgumentException, reason: -[EmacsImage
> XBM:width:height:fg:bg:]: unrecognized selector sent to instance 0x3ec20a0

That was my fault. I think I mashed the keys in the wrong place and
deleted something without realising. I’ve pushed another commit to fix
it.

(I don’t know how I didn’t notice it before now!)

> I think you should install your changes so people can test them.

Done. Thanks for your help.

Oh, I just remembered I’ve not yet done frame-list-z-order. It should
be easy enough, NSApplication has an orderedWindows function which, I
think, should return an ordered array of NSWindow objects.

Should I look into no-focus-on-map and no-accept-focus too?
-- 
Alan Third